ServerEvents.recipes(event => {
    event.shaped(
  Item.of('mm:extractor', 1),
  [
    'ABA',
    'BDB', 
    'ABA'
  ],
  {
    A: 'kubejs:marron',
    B: 'forbidden_arcanus:soul',
    D: 'mekanism:pellet_plutonium'
  }
)
event.shaped(
  Item.of('mm:item_extractor_input', 1),
  [
    'ACA',
    'BDB', 
    'ABA'
  ],
  {
    A: 'kubejs:marron',
    B: 'forbidden_arcanus:soul',
    C: 'minecraft:hopper',
    D: 'mekanism:pellet_plutonium'
  }
)
event.shaped(
  Item.of('mm:item_extractor_output', 1),
  [
    'ABA',
    'BDB', 
    'ACA'
  ],
  {
    A: 'kubejs:marron',
    B: 'forbidden_arcanus:soul',
    C: 'minecraft:hopper',
    D: 'mekanism:pellet_plutonium'
  }
)
event.shaped(
  Item.of('mm:energy_extractor_input', 1),
  [
    'ACA',
    'BDB', 
    'ABA'
  ],
  {
    A: 'kubejs:marron',
    B: 'forbidden_arcanus:soul',
    C: 'actuallyadditions:advanced_coil',
    D: 'mekanism:pellet_plutonium'
  }
)
})

